<?php
/**
 * WhiteDot Customizer Functions
 *
 */

/**
 * Whitedot blog grid wrap
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_show_blog_grid_wrap');
function whitedot_show_blog_grid_wrap()
{
	if( 'style-2' === get_theme_mod( 'whitedot_blog_home_layout' ) ) {
        if ( !is_front_page() && is_home() ) {
    		add_action('whitedot_home_loop_before','whitedot_blog_grid_wrap_start', 10);
    		add_action('whitedot_blog_home_pagination','whitedot_blog_grid_wrap_end', 5);
        } elseif ( is_front_page() && is_home() ) {
            add_action('whitedot_home_loop_before','whitedot_blog_grid_wrap_start', 10);
            add_action('whitedot_blog_home_pagination','whitedot_blog_grid_wrap_end', 5);
        }
	}
}

/**
 * Whitedot blog grid wrap start
 *
 * @since 1.0.0
 */
function whitedot_blog_grid_wrap_start(){

    $gridColumn = get_theme_mod('whitedot_blog_home_grid_culmn', 2 );

	?>
		<div class="wd-blog-grid col-<?php echo esc_attr( $gridColumn ) ?>">
	<?php

}

/**
 * Whitedot blog grid wrap end
 *
 * @since 1.0.0
 */
function whitedot_blog_grid_wrap_end(){

	?>
		</div><!-- .wd-blog-grid -->
	<?php

}

/**
 * Display Author Box in Single Post
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_display_authorbox');

function whitedot_display_authorbox()
{
  if ( 1 === get_theme_mod( 'whitedot_show_authorbox_in_singlepost', 1 ) ) {
    add_action('whitedot_main_single_content_after','whitedot_post_author', 10);
  }
}


/**
 * Whitedot Customizer Google Fonts
 *
 * @since 1.0.0
 */
function whitedot_customizer_google_fonts() {

	if( 'font-2' === get_theme_mod( 'whitedot_google_fonts' ) ) {  

        wp_enqueue_style( 'whitedot-google-font-ABeeZee', 'https://fonts.googleapis.com/css?family=ABeeZee', false );

    }elseif ('font-3' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Abel', 'https://fonts.googleapis.com/css?family=Abel', false );

    }elseif ('font-4' === get_theme_mod( 'whitedot_google_fonts' ) ) {

        wp_enqueue_style( 'whitedot-google-font-Actor', 'https://fonts.googleapis.com/css?family=Actor', false );

    }elseif ('font-5' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Advent-Pro', 'https://fonts.googleapis.com/css?family=Advent+Pro', false );

    }elseif ('font-6' === get_theme_mod( 'whitedot_google_fonts' ) ) {

        wp_enqueue_style( 'whitedot-google-font-Anaheim', 'https://fonts.googleapis.com/css?family=Anaheim', false );

    }elseif ('font-7' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Andada', 'https://fonts.googleapis.com/css?family=Andada', false );

    }elseif ('font-8' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Bad-Script', 'https://fonts.googleapis.com/css?family=Bad+Script', false );

    }elseif ('font-9' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Barlow', 'https://fonts.googleapis.com/css?family=Barlow', false );

    }elseif ('font-10' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Bellefair', 'https://fonts.googleapis.com/css?family=Bellefair', false );

    }elseif ('font-11' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-BenchNine', 'https://fonts.googleapis.com/css?family=BenchNine', false );

    }elseif ('font-12' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Bubbler-One', 'https://fonts.googleapis.com/css?family=Bubbler+One', false );

    }elseif ('font-13' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Cabin', 'https://fonts.googleapis.com/css?family=Cabin', false );

    }elseif ('font-14' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Cairo', 'https://fonts.googleapis.com/css?family=Cairo', false );

    }elseif ('font-15' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Capriola', 'https://fonts.googleapis.com/css?family=Capriola', false );

    }elseif ('font-16' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Catamaran', 'https://fonts.googleapis.com/css?family=Catamaran', false );

    }elseif ('font-17' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Chathura', 'https://fonts.googleapis.com/css?family=Chathura', false );

    }elseif ('font-18' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Delius', 'https://fonts.googleapis.com/css?family=Delius', false );

    }elseif ('font-19' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Delius-Swash-Caps', 'https://fonts.googleapis.com/css?family=Delius+Swash+Caps', false );

    }elseif ('font-20' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Didact-Gothic', 'https://fonts.googleapis.com/css?family=Didact+Gothic', false );

    }elseif ('font-21' === get_theme_mod( 'whitedot_google_fonts' ) ) { 

        wp_enqueue_style( 'whitedot-google-font-Dosis', 'https://fonts.googleapis.com/css?family=Dosis', false );

    }else{
        wp_enqueue_style( 'whitedot_google_fonts', 'https://fonts.googleapis.com/css?family=Varela+Round', false ); 
    }

}


/**
 * Whitedot Show Footer Branding
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_display_footer_branding');
function whitedot_display_footer_branding()
{
    if ( 0 == get_theme_mod( 'whitedot_show_footer_branding', 1 ) ) { 

    }else{

        add_action('whitedot_footer_content','whitedot_footer_branding', 10);
    }
}


/**
 * Whitedot Show Footer Social Icons
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_display_footer_social_icons');
function whitedot_display_footer_social_icons()
{
    if ( 1 == get_theme_mod( 'whitedot_show_footer_social_icons', 0 ) ) { 
        
        add_action('whitedot_footer_branding_content','whitedot_social_links', 30);
    }
}


/**
 * Whitedot Blog Pagination Style
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_customizer_pagination_style');
function whitedot_customizer_pagination_style()
{
    if( 'next-prev' === get_theme_mod( 'whitedot_blog_home_pagination_style' ) ) { 

        remove_action( 'whitedot_blog_home_pagination', 'whitedot_blog_home_number_pagination', 10 );
        add_action( 'whitedot_blog_home_pagination', 'whitedot_blog_home_icon_pagination', 10 );
    }else{
        add_action( 'whitedot_blog_home_pagination', 'whitedot_blog_home_number_pagination', 10 );
        remove_action( 'whitedot_blog_home_pagination', 'whitedot_blog_home_icon_pagination', 10 );
    }
}

/**
 * LifterLMS Dashboard sidebar layout
 *
 * @since 1.0.0
 */
add_action('lifterlms_before_student_dashboard_content', 'whitedot_llms_dashboard_custom_css', 1);
function whitedot_llms_dashboard_custom_css()
{
   do_action( 'whitedot_dashboard_style' );
}

/**
 * LifterLMS Dashboard sidebar layout
 *
 * @since 1.0.0
 */
add_action('whitedot_dashboard_style', 'whitedot_llms_dashboard_sidebar_css', 1);
function whitedot_llms_dashboard_sidebar_css()
{
   ?>
   <style type="text/css">
        <?php if( 'sidebarleft' === get_theme_mod( 'whitedot_llms_dashboard_sidebar_layout' ) ) { ?> 

        @media (min-width: 768px){
            .has-sidebar #primary {
                float: right!important;
                width: 68%;
            }

            .has-sidebar .secondary {
                float: left!important;
                display: block;
            }
        }

        <?php } elseif( 'sidebarright' === get_theme_mod( 'whitedot_llms_dashboard_sidebar_layout' ) ) { ?> 

        @media (min-width: 768px){
            .has-sidebar #primary {
                float: left!important;
                width: 68%;
            }

            .has-sidebar .secondary {
                float: right!important;
                display: block;
            }
        }

        <?php } else { ?> 

            .has-sidebar #primary {
                float: none!important;
                width: 100%!important;
            }

            .has-sidebar .secondary {
                display: none;
            }

        <?php } ?>
   </style>
   <?php
}

/**
 * Display Header Search Button
 *
 * @since 1.0.93
 */
add_action('template_redirect', 'whitedot_display_header_search');

function whitedot_display_header_search()
{
  if ( 0 == get_theme_mod( 'whitedot_show_search_in_header', 1 ) ) { 
    remove_action('whitedot_after_header_navigation','whitedot_header_search_bar', 20);
    remove_action('whitedot_header_content_after','whitedot_mob_header_search_bar', 20);
  }else{
    add_action('whitedot_after_header_navigation','whitedot_header_search_bar', 20);
    add_action('whitedot_header_content_after','whitedot_mob_header_search_bar', 20);
  }
}


/**
 * whitedot Above Header Bar
 *
 * @since 1.0
 */
add_action('whitedot_before_header_wrap','whitedot_above_header_bar', 1);
function whitedot_above_header_bar(){
    if ( class_exists( 'Whitedot_Designer' ) ) { 
        if ( whitedot_designer()->is__premium_only() && whitedot_designer()->can_use_premium_code() ) { 
            ?>
            <div class="whitedot-above-header-bar clear">
                <div class="col-full">
                    <?php if ( false === get_theme_mod( 'hide_header_notice_in_mobile', false ) ) { ?>
                        <div class="header-bar-mobile-section">
                            <?php do_action( 'whitedot_header_bar_mobile_section' ); ?>
                        </div>
                    <?php } ?>
                    <div class="header-bar-section header-bar-section-1">
                        <?php do_action( 'whitedot_header_bar_section_1' ); ?>
                    </div>
                    <div class="header-bar-section header-bar-section-3">
                        <?php do_action( 'whitedot_header_bar_section_3' ); ?>
                    </div>
                    <div class="header-bar-section header-bar-section-2">
                        <?php do_action( 'whitedot_header_bar_section_2' ); ?>
                    </div>
                </div>
            </div>
            <?php
        }
    }
}

/**
 * whitedot Header Notice
 *
 * @since 1.0
 */
function whitedot_header_notice_display_text(){
    if ( class_exists( 'Whitedot_Designer' ) ) { 
        if ( whitedot_designer()->is__premium_only() && whitedot_designer()->can_use_premium_code() ) { 
            ?>
            <span class="whitedot-header-notice">
                <?php echo esc_html( get_theme_mod( 'whitedot_header_notice', 'WELCOME TO OUR SITE!') ); ?>
            </span>

            <?php if( true === get_theme_mod( 'enable_header_bar_call_to_action', false ) ) { ?>
                <a class="header-bar-calltoaction" href="<?php echo esc_html( get_theme_mod( 'call_to_action_url', '#') ); ?>"><?php echo esc_html( get_theme_mod( 'call_to_action_text', 'Click Here') ); ?></a>
            <?php } ?>

            <?php
        }
    }
}
add_action('template_redirect', 'whitedot_enable_header_notice');
function whitedot_enable_header_notice(){
    if ( class_exists( 'Whitedot_Designer' ) ) { 
        if ( whitedot_designer()->is__premium_only() && whitedot_designer()->can_use_premium_code() ) { 
            if( true === get_theme_mod( 'enable_header_notice', false ) ) { 
                add_action('whitedot_header_bar_section_1','whitedot_header_notice_display_text');
                add_action('whitedot_header_bar_mobile_section','whitedot_header_notice_display_text');
            }
        }
    }
}
/**
 * Advanced Header - Header Bar Social Icons
 *
 * @since 1.0
 */
add_action('template_redirect', 'whitedot_header_bar_social');
function whitedot_header_bar_social(){
    if ( class_exists( 'Whitedot_Designer' ) ) { 
        if ( whitedot_designer()->is__premium_only() && whitedot_designer()->can_use_premium_code() ) { 
            if( true === get_theme_mod( 'enable_header_social_icons', false ) ) { 
                add_action('whitedot_header_bar_section_3','whitedot_header_bar_social_links');
            }
        }
    }
}

/**
 * whitedot Header Bar Social Icons
 *
 * @since 1.0
 */
function whitedot_header_bar_social_links(){

    ?>
    <div class="wd-header_bar-social-icons">

        <?php
        if ( has_nav_menu( 'social-icons' ) ) {

            wp_nav_menu(
                array(
                    'theme_location'  => 'social-icons',
                    'container'       => 'nav',
                    'container_id'    => 'header_bar-social-icons',
                    'container_class' => 'menu',
                    'menu_id'         => 'header_bar-social-media-items',
                    'menu_class'      => 'menu-items',
                    'depth'           => 1,
                    'fallback_cb'     => '',
                )
            );
        }
        ?>

    </div><!--.wd-header-bar-social-icons -->

    <?php

}

/**
 * Footer Credit Customization
 *
 * @since 1.0.0
 */
add_action('template_redirect', 'whitedot_customizer_setup');
function whitedot_customizer_setup(){

    $footer_credit              = get_theme_mod( 'whitedot_footer_credit' );
    $footer_credit_custom_text  = get_theme_mod( 'whitedot_footer_credit_custom_text', 0 );

    if ( 1 == $footer_credit_custom_text ) {
        remove_action( 'whitedot_footer_info_content', 'whitedot_footer_credits', 10 );
        add_action('whitedot_footer_info_content', 'whitedot_footer_credits_custom_text', 10);
    }else{

        if( 'credit-2' === $footer_credit ) {
            remove_action( 'whitedot_footer_info_content', 'whitedot_footer_credits', 10 );
            add_action('whitedot_footer_info_content', 'whitedot_footer_credits_2', 10);
        } 

        if ( 'credit-3' === $footer_credit ) {
            remove_action('whitedot_footer_content','whitedot_footer_info', 20);
        }

    }

}

/**
 * whitedot Footer Credit
 *
 * @since   1.0.0
 */
function whitedot_footer_credits_2() {
    ?>
        <p class="footer-credit"><?php

        printf( '%1$s &copy %2$s - ',
            esc_html_e( 'COPYRIGHT', 'whitedot' ),
            esc_html( date( 'Y' ) )
        );

        bloginfo('name');

        ?>
        </p>
    <?php
}

/**
 * whitedot Footer Credit Custom Text
 *
 * @since   1.0.0
 */
function whitedot_footer_credits_custom_text() {

    if( get_theme_mod( 'whitedot_custom_credit') != "" ) {
        ?>
            <p class="footer-credit"><?php
                echo get_theme_mod( 'whitedot_custom_credit', 'COPYRIGHT 2018 - whitedot // Designed By - ZeeTheme');
            ?></p>
        <?php
    }else{
        ?>
        <p class="footer-credit"><?php

            printf( '%1$s &copy %2$s - ',
                esc_html_e( 'COPYRIGHT', 'whitedot' ),
                esc_html( date( 'Y' ) )
            );

            bloginfo('name');

            ?>  //  <?php

            printf( '%1$s -  <a href="%2$s" target="_blank">%3$s</a>',
                esc_html_e( 'Designed By', 'whitedot' ),
                esc_url( 'https://zeetheme.com' ),
                esc_html( __( 'ZeeTheme', 'whitedot' ) )
            );

            ?>
        </p>
        <?php
    }

}






